package com.sky.ioc.controller.information;

import com.sky.ioc.service.information.FloorConfigurationService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "信息管理")
@Slf4j
@RestController
@RequestMapping("/information")
public class FloorConfigurationController {

    @Autowired
    FloorConfigurationService floorConfigurationService;

    @ApiOperation("获取楼层地图信息配置")
    @GetMapping(value = "/floor_configuration")
    public ReturnMsg getById(@RequestParam(name="id") Integer id) {
        return floorConfigurationService.getById(id);
    }
}
